Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.a1base.com/llms.txt

Use this file to discover all available pages before exploring further.

The Email API allows you to create custom email addresses on your A1Base account. Get started with our free domains @a101.bot or @a1send.com.

Request Parameters

ParameterTypeRequiredDescription
addressstringYesThe local part of the email address (before the @ symbol)
domain_namestringYesThe domain name to use for the email address

Endpoint

curl --location 'https://api.a1base.com/v1/emails/{account_id}/create-email' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Secret: YOUR_API_SECRET' \
--header 'Content-Type: application/json' \
--data '{
    "address": "jane",
    "domain_name": "a1send.com"
}'
Valid Email Addresses:
  • 5-30 characters long
  • Only contain letters, numbers, ’.’, ’_’, ’-’
  • Have no consecutive dots, spaces, or commas

Example Response

{
    "status": "success",
}

Error Responses

Status CodeDescription
400Invalid request parameters
401Invalid API credentials
403Domain not authorized for account
409Email address already exists

Next Steps

After creating your email address, you can:
We’d love to hear from you!Don’t hesitate to reach out to [email protected] or [email protected] if there’s any features you’d like to see or prioritised!